<?xml version="1.0" encoding="ASCII"?>

<!-- oks-schema version 2.0 -->


<!DOCTYPE oks-schema [
  <!ELEMENT oks-schema (info, (include)?, (comments)?, (class)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "schema"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT class (superclass | attribute | relationship | method)*>
  <!ATTLIST class
      name CDATA #REQUIRED
      description CDATA ""
      is-abstract (yes|no) "no"
  >
  <!ELEMENT superclass EMPTY>
  <!ATTLIST superclass name CDATA #REQUIRED>
  <!ELEMENT attribute EMPTY>
  <!ATTLIST attribute
      name CDATA #REQUIRED
      description CDATA ""
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class) #REQUIRED
      range CDATA ""
      format (dec|hex|oct) "dec"
      is-multi-value (yes|no) "no"
      multi-value-implementation (list|vector) "list"
      init-value CDATA ""
      is-not-null (yes|no) "no"
  >
  <!ELEMENT relationship EMPTY>
  <!ATTLIST relationship
      name CDATA #REQUIRED
      description CDATA ""
      class-type CDATA #REQUIRED
      low-cc (zero|one) #REQUIRED
      high-cc (one|many) #REQUIRED
      is-composite (yes|no) #REQUIRED
      is-exclusive (yes|no) #REQUIRED
      is-dependent (yes|no) #REQUIRED
      multi-value-implementation (list|vector) "list"
  >
  <!ELEMENT method (method-implementation*)>
  <!ATTLIST method
      name CDATA #REQUIRED
      description CDATA ""
  >
  <!ELEMENT method-implementation EMPTY>
  <!ATTLIST method-implementation
      language CDATA #REQUIRED
      prototype CDATA #REQUIRED
      body CDATA ""
  >
]>

<oks-schema>

<info name="" type="" num-of-items="1" oks-format="schema" oks-version="oks-06-07-01 built &quot;March 22 2018&quot;" created-by="akrishna" created-on="lxplus104.cern.ch" creation-time="20180409T132449" last-modified-by="akrishna" last-modified-on="lxplus104.cern.ch" last-modification-time="20140728T085259"/>

<include>
 <file path="is/is.xml"/>
 <file path="FtkDataFlowSummary_is.schema.xml"/>
</include>

 <class name="FtkDataFlowSummaryDF" description="DataFlow summary for DF monitoring"> 
  <superclass name="FtkDataFlowSummary"/>

   <attribute name="FifoFMCInXOff" description="Fifo input link xoff" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="FifoFMCInCount" description="Fifo input link count" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="FifoSLINKOutXOff" description="Fifo output link xoff" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="FifoSLINKOutCount" description="Fifo output link count" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="SLINKOutEventsGivenUp" description="Events given up at output link" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="SLINKOutModsGivenUp" description="Modules given up at output link" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="SLINKOutEvtSortBuff" description="Words in event sorting buffers in output link" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="NumModulesHitWordLimit" description="Num of modules hit word limit" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   
   <attribute name="FMCINFifoStatus" description="FMCIN fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="FMCINFrontFifoStatus" description="FMCIN front fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="IntLinkRXFifoStatus" description="Internal link RX fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="IntLinkTXFifoStatus" description="Internal link TX fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="SlinkCh0to17FifoStatus" description="SLINK Ch0to17 fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="SlinkCh18to35FifoStatus" description="SLINK Ch18to35 fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="EvtSortBuffCh0to17FifoStatus" description="ODO event sort buffer Ch0to17 fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="EvtSortBuffCh18to35FifoStatus" description="ODO event sort buffer Ch18to35 fifo overflow status" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="FMCINBackPressure" description="FMCIN backpressure (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="ILIBackPressure" description="ILI backpressure (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="ODOBackPressure" description="ODO backpressure (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="ILOBackPressure" description="ILO backpressure (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="InputGlobalFreezeCount" description="Input global freeze count (counter in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="SLINKLDCFreezeCount" description="SLINK LDC freeze count (counter in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="FMCOUTtoIMFreezeCount" description="FMCOUT to IM freeze count (counter in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="IDOClustersPerEvt" description="IDO clusters per event (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="ILIClustersPerEvt" description="ILI clusters per event (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="ODOClustersPerEvt" description="ODO clusters per event (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="ILOClustersPerEvt" description="ILO clusters per event (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>
   <attribute name="B0F2B0FoverB0F2E0F" description="b0f-b0f/b0f-e0f (max in time)" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes"/>

<!--   <attribute name="SkewOutHist" description="Packet skew between input links measured by sync" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="PHTimeout" description="PacketHandler packet completion time" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="GlobalL1SkipHist" description="Global sync L1ID skip amount" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
   <attribute name="LaneL1SkipHist" description="Lane L1ID skip amount" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/> -->
   

</class>

</oks-schema>

